Name:		AcetoneISO2
Version:	2.0.3
Release:	%mkrel 1
Summary:	CD/DVD Image Manipulator
Group:		Applications/Archiving
License:	GPLv3
URL:		http://www.acetoneteam.org/
Source0:	http://download.sourceforge.net/sourceforge/acetoneiso2/acetoneiso_%{version}.tar.gz
Patch0:		acetoneiso2-2.0.3-desktop.patch
Patch1:		acetoneiso2-2.0.2-no-optdirs.patch
Patch2:		AcetoneISO2-2.0.3-no-poweriso-for-non-x86.patch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	kdewebdev4-devel, qt4-devel, desktop-file-utils
Requires:	p7zip, cdrdao
Requires:	fuseiso, fuse, cdrkit-genisoimage
Requires:	gnupg, pinentry-qt4
# Overkill, but I'm being thorough
Requires:	util-linux-ng, coreutils

%description
AcetoneISO2: The CD/DVD image manipulator for Linux, it can do the following:
- Mount and Unmount ISO, MDF, NRG (if iso-9660 standard)
- Convert / Extract / Browse to ISO : *.bin *.mdf *.nrg *.img *.daa *.cdi 
  *.xbx *.b5i *.bwi *.pdi
- Play a DVD Movie ISO with most commonly-used media players
- Generate an ISO from a Folder or CD/DVD
- Generate/Check MD5 file of an image
- Encrypt/decrypt an image
- Split image into X megabyte chunks
- Highly compress an image
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Restore a lost CUE file of *.bin *.img

%prep
%setup -q -n acetoneiso_%{version}
%patch0 -p1
# %%patch1 -p1
%patch2 -p1

%build
cd src/
qmake
make %{?_smp_mflags} LFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT 
cd src/
make INSTALL_ROOT=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO.desktop $RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO2.desktop
mv $RPM_BUILD_ROOT%{_bindir}/acetoneiso $RPM_BUILD_ROOT%{_bindir}/acetoneiso2

sed -i 's|Exec=acetoneiso|Exec=acetoneiso2|g' $RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO2.desktop

desktop-file-install --vendor ""			\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--add-category System				\
	$RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO2.desktop

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG FEATURES LICENSE README
%{_bindir}/acetoneiso2
# %%{_datadir}/acetoneiso2
%{_datadir}/applications/AcetoneISO2.desktop
%{_datadir}/pixmaps/Acetino2.png

%changelog
* Sat May 23 2009 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Build for Mandriva 2009.1

* Thu Apr  9 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3-1
- update to 2.0.3 final

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-0.2.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.3-0.1.RC1
- 2.0.3RC1

* Tue May 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.2-4
- only try to use PowerISO as a converter on x86 platforms (bz 447214)

* Fri May  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.2-3
- actually apply patch2
- get rid of requires on nautilus, this application works fine without it,
  it is simply enhanced by the presense of nautilus/konqueror

* Fri May  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.2-2
- fix requires, get rid of kdebase, cdrecord, k3b, xbiso, arts
- add requires on nautilus (really, it should be nautilus or konqueror, 
  but there is no good way to do that)

* Wed May  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.2-1
- 2.0.2

* Wed Apr  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.1-2
- remove "Application" from desktop file (inside patch)

* Fri Apr  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.1-1
- 2.0.1

* Thu Nov  8 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.96-1
- initial build for Fedora
